---
# tasks file for service
- name: "Create project path"
  file:
    dest={{ project_path }}
    mode=0755
    recurse=yes
    state=directory
  become: true
  

- name: "Clone the repository"
  git:
    repo: "{{ repository }}"
    dest: "{{ project_path }}"
    force: yes
  become: true

- name: "Build Docker conteiner and up"
  docker_image:
    build:
      path: "{{ project_path }}"
    name: "{{ service_name }}:{{ version_app }}"
    source: build
  become: true

- name: "Add systemd service"
  template:
    src: service.j2
    dest: "/etc/systemd/system/{{ service_name }}.service"
  become: true

- name: "Start systemd service"
  service:
    name: "{{ service_name }}.service"
    state: started
  become: true
